Subject: Re: bug#42653: 28.0.50; scroll-margin is sometimes ignored with hl-line/display-line-numbers-mode

From: Kevin Liu <[email-masked]>
Date: Sun, 02 Aug 2020 13:24:34 -0700

Thanks!  This has honestly bugged me forever and will improve my Emacs
experience immeasurably.

> /* if EOB is visible, disable bottom margin */

This is a very interesting change that I didn't know I wanted, and I
really like it.  I see two issues right now:

1. If (hl-line-mode 1), then scrolling down as you reach EOB will
continue "collapsing" the margin, moving the cursor but not scrolling
beyond EOB, until it hits the actual EOB line.  At that point,
scroll-margin will again take effect and the screen will suddenly scroll
down by scroll-margin lines (7 in my case).  This seems like a bug,
off-by-one maybe?

2. The intended behavior of disabling the bottom margin as EOB
approaches seems to only apply when (hl-line-mode 1) or
(display-line-numbers-mode 1).  This means that enabling these modes
still affects scrolling behavior, which I think is fundamentally
unexpected.